<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateTransactionsTable extends Migration {

	public function up()
	{
		Schema::create('transactions', function(Blueprint $table) {
			$table->increments('id');
			$table->enum('type', array('system', 'game'))->index();
			$table->integer('user_id')->unsigned()->index();
			$table->decimal('amount', 7,7)->index()->default('0');
			$table->decimal('bet_amount', 7,7)->index();
			$table->json('data')->nullable();
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('transactions');
	}
}